

/****************************************************************/
/*								*/
/*	structure of a Bios Parameter Block in a boot record	*/
/*								*/
/****************************************************************/

  struct bpb {
	char jumpinst[3];		/* Jump instruction  */
	char oemname [8];		/* OEM name/version  */
	int  s_bytesper;		/* Bytes per sector  */
	char c_sectors; 		/* Sectors per cluster */
	int  resrvsec;			/* Reserved sectors  */
	char Nfats;			/* Number of FATs    */
	int  Nrootdir;			/* Number of root dir ents */
	unsigned  Tsectors;		/* Total sectors on volume */
	char Media;			/* Media descriptor  */
	int  Fat_secsper;		/* Sectors per FAT   */
	int  Trk_secsper;		/* Sectors per track */
	int  Nheads;			/* Number of heads   */
	int  Nhiden;			/* Hidden sector count */
  } ;





